net.minecraft.client.resources

## Class AbstractResourcePack

- java.lang.Object
- - net.minecraft.client.resources.AbstractResourcePack

- All Implemented Interfaces:
    IResourcePack
  Direct Known Subclasses:
    FileResourcePack, FolderResourcePack

      public abstract class AbstractResourcePack
      extends java.lang.Object
      implements IResourcePack

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.File` | `resourcePackFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourcePack(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream(ResourceLocation par1ResourceLocation)`
    `protected abstract java.io.InputStream` | `getInputStreamByName(java.lang.String var1)`
    `java.awt.image.BufferedImage` | `getPackImage()`
    `IMetadataSection` | `getPackMetadata(IMetadataSerializer par1MetadataSerializer, java.lang.String par2Str)`
    `java.lang.String` | `getPackName()`
    `protected static java.lang.String` | `getRelativeName(java.io.File par0File, java.io.File par1File)`
    `protected abstract boolean` | `hasResourceName(java.lang.String var1)`
    `protected void` | `logNameNotLowercase(java.lang.String par1Str)`
    `boolean` | `resourceExists(ResourceLocation par1ResourceLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.client.resources.IResourcePack

      `getResourceDomains`

- - ### Field Detail

    - #### resourcePackFile

          protected final java.io.File resourcePackFile

  - ### Constructor Detail

    - #### AbstractResourcePack

          public AbstractResourcePack(java.io.File par1File)

  - ### Method Detail

    - #### getRelativeName

          protected static java.lang.String getRelativeName(java.io.File par0File,
                                         java.io.File par1File)

    - #### getInputStream

          public java.io.InputStream getInputStream(ResourceLocation par1ResourceLocation)
                                             throws java.io.IOException

      Specified by:
        `getInputStream` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### resourceExists

          public boolean resourceExists(ResourceLocation par1ResourceLocation)

      Specified by:
        `resourceExists` in interface `IResourcePack`

    - #### getInputStreamByName

          protected abstract java.io.InputStream getInputStreamByName(java.lang.String var1)
                                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasResourceName

          protected abstract boolean hasResourceName(java.lang.String var1)

    - #### logNameNotLowercase

          protected void logNameNotLowercase(java.lang.String par1Str)

    - #### getPackMetadata

          public IMetadataSection getPackMetadata(IMetadataSerializer par1MetadataSerializer,
                                         java.lang.String par2Str)
                                           throws java.io.IOException

      Specified by:
        `getPackMetadata` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### getPackImage

          public java.awt.image.BufferedImage getPackImage()
                                                    throws java.io.IOException

      Specified by:
        `getPackImage` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### getPackName

          public java.lang.String getPackName()

      Specified by:
        `getPackName` in interface `IResourcePack`